Together AI SDK (Python)
from together import Together
client = Together()
identity = client.whoami()
if identity.type == "user_jwt":
raise RuntimeError("Use a credential scoped to an organization")
organization_id = identity.organization.id
for model in client.models.list_org_scoped(organization_id):
print(model.id, model.name)import Together from "together-ai";
const client = new Together();
const identity = await client.whoami();
if (identity.type === "user_jwt") {
throw new Error("Use a credential scoped to an organization");
}
const organizationId = identity.organization.id;
for await (const model of client.models.listOrgScoped(organizationId)) {
console.log(model.id, model.name);
}
import Together from "together-ai";
const client = new Together();
const identity = await client.whoami();
if (identity.type === "user_jwt") {
throw new Error("Use a credential scoped to an organization");
}
const organizationId = identity.organization.id;
for await (const model of client.models.listOrgScoped(organizationId)) {
console.log(model.id, model.name);
}
curl --request GET \
--url https://api.together.ai/v2/organizations/{organizationId}/models \
--header 'Authorization: Bearer <token>'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.together.ai/v2/organizations/{organizationId}/models",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.together.ai/v2/organizations/{organizationId}/models"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.together.ai/v2/organizations/{organizationId}/models")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.together.ai/v2/organizations/{organizationId}/models")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "<string>",
"projectId": "<string>",
"organizationId": "<string>",
"name": "<string>",
"weights": {
"type": "WEIGHTS_TYPE_DEFAULT",
"speculatorMechanism": "SPECULATOR_MECHANISM_DRAFT",
"draftSpeculatorType": "DRAFT_SPECULATOR_TYPE_EAGLE",
"architecture": "<string>",
"contextLength": "<string>",
"parameters": {
"total": "<string>",
"byDtype": [
{
"dtype": "<string>",
"count": "<string>"
}
]
}
},
"visibility": "VISIBILITY_PRIVATE",
"description": "<string>",
"baseModelId": "<string>",
"baseModel": "<string>"
}
],
"object": "list",
"next_cursor": "<string>"
}{
"error": {
"message": "<string>",
"type": "<string>",
"param": null,
"code": null
}
}Models
List organization models
Lists custom models shared with every project in the specified organization. Project-private and public models are not included.
GET
/
v2
/
organizations
/
{organizationId}
/
models
Together AI SDK (Python)
from together import Together
client = Together()
identity = client.whoami()
if identity.type == "user_jwt":
raise RuntimeError("Use a credential scoped to an organization")
organization_id = identity.organization.id
for model in client.models.list_org_scoped(organization_id):
print(model.id, model.name)import Together from "together-ai";
const client = new Together();
const identity = await client.whoami();
if (identity.type === "user_jwt") {
throw new Error("Use a credential scoped to an organization");
}
const organizationId = identity.organization.id;
for await (const model of client.models.listOrgScoped(organizationId)) {
console.log(model.id, model.name);
}
import Together from "together-ai";
const client = new Together();
const identity = await client.whoami();
if (identity.type === "user_jwt") {
throw new Error("Use a credential scoped to an organization");
}
const organizationId = identity.organization.id;
for await (const model of client.models.listOrgScoped(organizationId)) {
console.log(model.id, model.name);
}
curl --request GET \
--url https://api.together.ai/v2/organizations/{organizationId}/models \
--header 'Authorization: Bearer <token>'<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.together.ai/v2/organizations/{organizationId}/models",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.together.ai/v2/organizations/{organizationId}/models"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.together.ai/v2/organizations/{organizationId}/models")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.together.ai/v2/organizations/{organizationId}/models")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": "<string>",
"projectId": "<string>",
"organizationId": "<string>",
"name": "<string>",
"weights": {
"type": "WEIGHTS_TYPE_DEFAULT",
"speculatorMechanism": "SPECULATOR_MECHANISM_DRAFT",
"draftSpeculatorType": "DRAFT_SPECULATOR_TYPE_EAGLE",
"architecture": "<string>",
"contextLength": "<string>",
"parameters": {
"total": "<string>",
"byDtype": [
{
"dtype": "<string>",
"count": "<string>"
}
]
}
},
"visibility": "VISIBILITY_PRIVATE",
"description": "<string>",
"baseModelId": "<string>",
"baseModel": "<string>"
}
],
"object": "list",
"next_cursor": "<string>"
}{
"error": {
"message": "<string>",
"type": "<string>",
"param": null,
"code": null
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Organization identifier.
Query Parameters
Maximum number of results to return.
Cursor from a previous list response.
Was this page helpful?
⌘I